<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"

    >

    <data>

        <variable
            name="display"
            type="io.surveystack.app.fragments.device.DeviceInfoDisplay" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/dark_bg"
        app:layout_behavior="@string/appbar_scrolling_view_behavior"
        tools:context=".fragments.device.DeviceSettings">

        <TextView
            android:id="@+id/tv_header"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:text="@{display.title()}"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="@{display.visibilityRest()}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <Button
            android:id="@+id/bt_connect"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="12dp"
            android:enabled="@{display.connectEnabled()}"
            android:text="Connect"
            android:visibility="@{display.visibilityRest()}"
            app:layout_constraintBottom_toTopOf="@+id/bt_scan"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/bt_debug" />


        <Button
            android:id="@+id/bt_scan"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            android:enabled="@{display.scanEnabled()}"
            android:text="Device list"
            android:visibility="@{display.visibilityRest()}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <ScrollView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="8dp"
            android:visibility="@{display.visibilityRest()}"
            app:layout_constraintBottom_toTopOf="@+id/radioGroup"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_header">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_device_information"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="monospace"
                    android:text="@{display.content()}"
                    android:textColor="@color/white" />

            </LinearLayout>
        </ScrollView>


        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_percent="0.5" />


        <TextView
            android:id="@+id/tv_connecting"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="8dp"
            android:text="Connecting"
            android:textAlignment="center"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="@{display.visibilityConnecting()}"
            app:layout_constraintBottom_toTopOf="@id/guideline_center"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <ProgressBar
            android:id="@+id/progress_connecting"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="16dp"
            android:indeterminate="true"
            android:visibility="@{display.visibilityConnecting()}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/guideline_center" />


        <Button
            android:id="@+id/bt_cancel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:text="Cancel"
            android:visibility="@{display.visibilityConnecting()}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/progress_connecting" />

        <Button
            android:id="@+id/bt_debug"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="8dp"
            style="?attr/materialButtonOutlinedStyle"
            android:textColor="@color/white"
            app:strokeColor="@color/white"
            android:text="debug"
            android:visibility="@{display.visibilityRest()}"
            app:layout_constraintBottom_toTopOf="@+id/bt_scan"
            app:layout_constraintEnd_toStartOf="@id/bt_connect"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/tv_generic"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginBottom="16dp"
            android:layout_weight="1"
            android:text="Generic Device"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium.Inverse"
            app:layout_constraintBottom_toTopOf="@+id/bt_debug"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toEndOf="@+id/tv_oursci" />

        <TextView
            android:id="@+id/tv_oursci"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:layout_weight="1"
            android:text="Our-Sci Device"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium.Inverse"
            app:layout_constraintBaseline_toBaselineOf="@+id/tv_generic"
            app:layout_constraintEnd_toStartOf="@+id/tv_generic"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent" />

        <RadioGroup
            android:id="@+id/radioGroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toTopOf="@+id/tv_oursci"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintHorizontal_chainStyle="spread"
            app:layout_constraintStart_toStartOf="parent">

            <RadioButton
                android:id="@+id/iv_oursci"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="8dp"
                android:layout_weight="1"
                android:background="@drawable/device_oursci"
                android:button="@null"
                android:checked="false"
                android:textOff=""
                android:textOn=""

                tools:checked="true" />

            <RadioButton
                android:id="@+id/iv_generic"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_weight="1"
                android:background="@drawable/device_generic"
                android:button="@null"
                android:textOff=""
                android:textOn="" />

        </RadioGroup>

        <androidx.constraintlayout.widget.Group
            android:id="@+id/grp_device_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:constraint_referenced_ids="tv_oursci,tv_generic,radioGroup" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
